Subject: bug#7938: closed (Re: bug#7938: uname --version BUG)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jan 2011 17:15:03 +0000

Your bug report

#7938: uname --version      BUG

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7938: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7938
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7938: uname --version BUG
From: Paul Eggert <[email-masked]>
To: Karan Dhindsa <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Jan 2011 09:22:28 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 01/29/2011 03:25 PM, Karan Dhindsa wrote:
> When I type the command:
>> uname --version
> 
> it says "illegal option -- version".

Check your $PATH.  I expect you're running the Solaris 'uname',
not coreutils 'uname'.  On my Solaris 10 host:

$ /usr/bin/uname --version
/usr/bin/uname: illegal option -- version
usage:  uname [-snrvmapiX]
        uname [-S system_name]
$ /opt/sfw/bin/uname --version
uname (GNU coreutils) 5.93
Copyright (C) 2005 Free Software Foundation, Inc.
This is free software.  You may redistribute copies of it under the terms of
the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.

Subject: uname --version BUG
From: Karan Dhindsa <[email-masked]>
To: [email-masked]
Date: Sat, 29 Jan 2011 15:25:54 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
When I type the command:
 > uname --version

it says "illegal option -- version". Notice in the error message there 
is a space between "--" and "version" but in actual command its not. The 
error message is different if I deliberately put a space between the two 
and execute it.
I am using SunOS, kernel version Generic_144488-05

Thanks

Karan